#ifndef BASECONFIGURATOR_H_
#define BASECONFIGURATOR_H_

#include <map>
#include <string>


class BaseConfigurator{
protected:
	std::map<std::string,std::string> params;

public:
	std::map<std::string,std::string>getParams(){return params;}
	void setParams(std::map<std::string,std::string> params){this->params = params;}

	std::string toString(){
		std::string ret = "";
		for(std::pair<std::string, std::string> n : params) {
			ret += n.first + " : " + n.second + "\n";
		}
		return ret;
	}

	virtual ~BaseConfigurator() = default;

};

#endif /* BASECONFIGURATOR_H_ */
